Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 603760 - www-apps/sugarcrm: Remote code execution through embedded dev-php/PHPMailer (CVE-2016-10033)
Summary: www-apps/sugarcrm: Remote code execution through embedded dev-php/PHPMailer (...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: ~2 [ebuild], Pending removal: 2017-04-17
Keywords: PMASKED
Depends on:
Blocks: 603752 EAPI2Removal
  Show dependency tree
 
Reported: 2016-12-26 13:26 UTC by Thomas Deutschmann
Modified: 2018-04-21 10:50 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2016-12-26 13:26:14 UTC
It is suspected that this package is vulnerable to a security vulnerability via embedded dev-php/PHPMailer. As such we ask maintainers with packages suspected to be vulnerable to verify if the package is (or have been) affected. 

Please see the information contained in the tracker bug 603752.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-10-05 17:10:20 UTC
Ping.

@Maintainers any news about this package? Thank you

Gentoo Security Padawan
ChrisADR
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-01-25 21:53:26 UTC
CC'ing tree cleaners.  Package has versions in the tree that are over 3 years old, no commit history within last year, and outstanding vulnerability.
Comment 3 Larry the Git Cow gentoo-dev 2018-04-21 10:50:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81d40e733194e13e239960b8d2ca9af07e388731

commit 81d40e733194e13e239960b8d2ca9af07e388731
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-04-21 10:48:50 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-04-21 10:48:50 +0000

    www-apps/sugarcrm: remove last rited package
    
    Closes: https://bugs.gentoo.org/603760

 www-apps/sugarcrm/Manifest                 |  2 --
 www-apps/sugarcrm/files/postinstall-en.txt |  6 ----
 www-apps/sugarcrm/metadata.xml             | 14 --------
 www-apps/sugarcrm/sugarcrm-6.5.10.ebuild   | 56 ------------------------------
 www-apps/sugarcrm/sugarcrm-6.5.9.ebuild    | 55 -----------------------------
 5 files changed, 133 deletions(-)